Package twisted :: Package conch :: Module checkers :: Class SSHProtocolChecker

[frames | no frames]

## Class SSHProtocolChecker

Method Summary
| `_cbGoodAuthentication(self, avatarId, credentials)`
| ``areDone`(self, avatarId)` Override to determine if the authentication is finished for a given avatarId.
| `get_credentialInterfaces(self)`
| `registerChecker(self, checker, *credentialInterfaces)`
| `requestAvatarId(self, credentials)`

Property Summary
| `credentialInterfaces`

Class Variable Summary
`class` | `__implements__` = `twisted.cred.checkers.ICredentialsChecker`
`dict` | `checkers` = `{}`
`dict` | `successfulCredentials` = `{}`

Method Details

### areDone(self, avatarId)

Override to determine if the authentication is finished for a given avatarId.

Property Details

### credentialInterfaces

  Get Method:
    `get_credentialInterfaces`(self)

Class Variable Details

### checkers

  Type:
    `dict`
  Value:

        {}

### successfulCredentials

  Type:
    `dict`
  Value:

        {}

Generated by Epydoc 2.0 on Sat May 15 20:08:26 2004 | http://epydoc.sf.net